Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.security
Class FormAuthenticator

    java.lang.Object
      org.mortbay.jetty.security.FormAuthenticator

All Implemented Interfaces:
  java.io.Serializable, Authenticator

    public class FormAuthenticator

extends java.lang.Object
implements Authenticator

FORM Authentication Authenticator. The HTTP Session is used to store the authentication status of the user, which can be distributed. If the realm implements SSORealm, SSO is supported.

Author:
  Greg Wilkins (gregw), dan@greening.name
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `__J_AUTHENTICATED`
`static java.lang.String` | `__J_PASSWORD`
`static java.lang.String` | `__J_SECURITY_CHECK`
`static java.lang.String` | `__J_URI`
`static java.lang.String` | `__J_USERNAME`

Constructor Summary
`FormAuthenticator()`

Method Summary
`java.security.Principal` | `authenticate(UserRealm realm, java.lang.String pathInContext, Request request, Response response)` Perform form authentication.
`java.lang.String` | `getAuthMethod()`
`java.lang.String` | `getErrorPage()`
`java.lang.String` | `getLoginPage()`
`boolean` | `isJSecurityCheck(java.lang.String uri)`
`boolean` | `isLoginOrErrorPage(java.lang.String pathInContext)`
`void` | `setErrorPage(java.lang.String path)`
`void` | `setLoginPage(java.lang.String path)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### __J_URI

    public static final java.lang.String __J_URI

See Also:
  Constant Field Values

### __J_AUTHENTICATED

    public static final java.lang.String __J_AUTHENTICATED

See Also:
  Constant Field Values

### __J_SECURITY_CHECK

    public static final java.lang.String __J_SECURITY_CHECK

See Also:
  Constant Field Values

### __J_USERNAME

    public static final java.lang.String __J_USERNAME

See Also:
  Constant Field Values

### __J_PASSWORD

    public static final java.lang.String __J_PASSWORD

See Also:
  Constant Field Values

Constructor Detail

### FormAuthenticator

    public FormAuthenticator()

Method Detail

### getAuthMethod

    public java.lang.String getAuthMethod()

  Specified by:
    `getAuthMethod` in interface `Authenticator`

### setLoginPage

    public void setLoginPage(java.lang.String path)

### getLoginPage

    public java.lang.String getLoginPage()

### setErrorPage

    public void setErrorPage(java.lang.String path)

### getErrorPage

    public java.lang.String getErrorPage()

### authenticate

    public java.security.Principal authenticate(UserRealm realm,
                                                java.lang.String pathInContext,
                                                Request request,
                                                Response response)
                                         throws java.io.IOException

  Perform form authentication. Called from SecurityHandler.

  Specified by:
    `authenticate` in interface `Authenticator`
  Parameters:
    `realm` - an `UserRealm` value
    `pathInContext` - a `String` value
    `request` - a `Request` value
    `response` - a `Response` value. If non-null response is passed, then a failed authentication will result in a challenge response being set in the response.
  Returns:
    UserPrincipal if authenticated else null.
  Throws:
    `java.io.IOException` - if an error occurs

### isLoginOrErrorPage

    public boolean isLoginOrErrorPage(java.lang.String pathInContext)

### isJSecurityCheck

    public boolean isJSecurityCheck(java.lang.String uri)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.